﻿using System;

namespace VMPKeygen
{
	enum SerialNumberChunks : byte
	{
		Version = 0x01,     //	1 byte of data - version
		UserName = 0x02,    //	1 + N bytes - length + N bytes of customer's name (without enging \0).
		Email = 0x03,       //	1 + N bytes - length + N bytes of customer's email (without ending \0).
		ProductCode = 0x07, //	8 bytes - used for decrypting some parts of exe-file
		UserData = 0x08,    //	1 + N bytes - length + N bytes of user data
		MaxBuild = 0x09,    //	4 bytes - (year << 16) + (month << 8) + (day)
		End = 0xFF          //	4 bytes - checksum: the first four bytes of sha-1 hash from the data before that chunk
	};
}
